RESET = 0
BOLD = 1
UNDERLINE = 4
REVERCE = 7
INVISIBLE = 8
BLACK = 30
RED = 31
GREEN = 32
YELLOW = 33
BLUE = 34
MAGENTA = 35
CYAN = 36
WHITE = 37
COLOR_DEFAULT = 39
BG_BLACK = 40
BG_RED = 41
BG_GREEN = 42
BG_YELLOW = 43
BG_BLUE = 44
BG_MAGENTA = 45
BG_CYAN = 46
BG_WHITE = 47
BG_DEFAULT = 49


def strColor(string: str, color: int, bg: int = 49) -> str:
    return F'\033[{color}m\033[{bg}m{string}\033[0m'


def printc(*args: str | tuple, end="\n") -> None:
    for elem in args:
        print(elem if isinstance(elem, str) else strColor(*elem), end="")
    print("", end=end)


def log(*args: str | tuple) -> None:
    printc(("> ", CYAN), *args)


def clearRow() -> None:
    print("\033[2K", end="")
